pdumodel::TransferSwitch_4_0_4::Settings Struct Reference

Transfer switch settings. More...

`import"TransferSwitch.idl";`

## Public Attributes

string | name
| User-defined name.
int | preferredSource
| Preferred inlet.
boolean | autoRetransfer
| Enable automatic retransfer if power on active inlet is restored.
boolean | noAutoRetransferIfPhaseFault
| Don't automatically retransfer if inlet phases are out of sync.
int | autoRetransferWaitTime
| Time (in s) to delay retransfer after power restoration.
boolean | manualTransferEnabled
| Enable state of 'manual transfer' front panel button.

## Detailed Description

Transfer switch settings.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/TransferSwitch.idl